slepc-3.10.1 2018-10-23
Report Typos and Errors

# STMatMultTranspose

Computes the matrix-vector product y = T[k]' x, where T[k] is the k-th matrix of the spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatMultTranspose(ST st,PetscInt k,Vec x,Vec y)

Collective on ST

### Input Parameters

| st | - the spectral transformation context
| k | - index of matrix to use
| x | - the vector to be multiplied

### Output Parameter

| y | - the result

### See Also

STMatMult()

Location: src/sys/classes/st/interface/stsles.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages